「System.Data.OracleClient には Oracle クライアント ソフトウェアバージョン 8.1.7 以降が必要です。」エラーの対処法

ASP.NET で、 [System.Data.OracleClient]を使用して
Oracleに接続しようとしたとき、本エラーが発生する場合があります。

本来はODP.NETを使うべきという突っ込みは別として、
どうやらWebサーバを再起動することで解決しました。

ORACLE_HOMEへのアクセス権限も変更せずに、再起動するだけです。

原因は分かりませんが、恐らく、OracleClientをインストールしたら
再起動が必要ということかと思います。

念のため、環境を記載しておきます。

・Windows Server 2008 R2
・IIS 7.5
・.NET Framework 2.0
・Oracle 11g


This entry was posted in 未分類. Bookmark the permalink.

One Response to 「System.Data.OracleClient には Oracle クライアント ソフトウェアバージョン 8.1.7 以降が必要です。」エラーの対処法

  1. タガー says:

    お礼を申し上げたく。
    企業でSharePointを管理しております。先日、休日のメンテでOracle Client 11gをインストール、アプリ側からSQLを発行したのですが、同じエラーが出て慌てておりました。時間的制約がある中、ネットで急ぎ検索しましたところ本ページを拝見致しまして、再起動の上不具合解消となりました。
    先人のお知恵に感謝です。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

次のHTML タグと属性が使えます: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>